global.error.request.param.missing=Missing request parameter: {0}
global.error.bad.request=Invalid request parameter: {0}
global.error.request.param.type.error=Request parameter type mismatch: {0}
global.error.request.not.found=Request not found: {0}
global.error.request.method.error=Incorrect request method: {0}
global.error.request.too.many=Too many requests, please try again later
global.error.request.duplicate.data.error=Data already exists, please check
global.error.default.error=System is busy, please try again later
global.error.no.permission=You do not have permission to perform this action
global.error.no.permission.to.visit.org=You do not have permission to access this organization’s data
global.error.request.organId.notExist=The requested organization ID was not provided, please check
global.org.product.not.exist=Account login exception: product package does not exist, please log in again
global.org.product.expired=The organization's product package has expired, please renew before continuing to use the service
global.not.login=The account is not logged in
be.kicked.out=Your account was logged in elsewhere at {0} and has been forced to log off. Login IP: [{1}]

auth.login.bad_credentials=Login failed, incorrect account or password
auth.login.user_disabled=Login failed, the account has been disabled
auth.login.captcha_code_error=Incorrect verification code, reason: {0}
auth.login.third_not_bind=No account is bound, binding is required
auth.mobile.not_exists=Mobile number does not exist
auth.mobile.no_change=Mobile number has not changed, no update needed
auth.manage_endpoint.login_permission_error=Login failed, management account does not exist
auth.login.user.not.exist=The mobile phone number has not been registered

menu.name.duplicate=A menu with the same name already exists
menu.parent.not_exists=Parent menu does not exist
menu.parent.error=Cannot set the menu itself as its parent
menu.not_exists=Menu does not exist
menu.exists_children=Cannot delete because child menus exist
menu.parent.not_dir_or_menu=The parent menu type must be directory or menu
menu.operation_permission_error=Insufficient permissions for management menu operations
menu.trans_error=Menu translation error, error_code: {0}

role.not_exists=Role does not exist
role.name.duplicate=A role named [{0}] already exists
role.code.duplicate=A role with code [{0}] already exists
role.can_not_update_system_type=Cannot operate on system-built-in roles
role.is_disable=The role named [{0}] has been disabled
role.admin_code_error=Code [{0}] cannot be used
role.me_error=Cannot assign a role to yourself
role.not_superadmin_no_organ_id_oper_error=Non-super admin is not allowed to assign permissions
role.buildin.modify_permission_error=Insufficient permissions to modify built-in role menu permissions
role.self.modify_permission_error=Cannot modify your own role menu permissions
role.self.modify_error=Cannot modify your own role

user.username.exists=The mobile number already exists
user.mobile.exists=The mobile number already exists
user.email.exists=The email address already exists
user.not_exists=User does not exist
user.import.empty=Imported user data cannot be empty!
user.password.failed=The current password is incorrect. Please re-enter it
user.is_disable=The user named [{0}] has been disabled
user.count.max=Exceeded the organization user quota ({0}), failed to create user!
user.me.error=Operation on the user itself is not allowed
user.password.length_at_least_8=Password must be at least 8 characters long and contain uppercase letters, lowercase letters, numbers, and special characters
user.username.multiple_error=Duplicate users named [{0}] exist, please contact the system administrator
user.operate_self_status_error=Operation on the user's own status is not allowed
user.mobile_update_not_allow=This user has been verified by mobile number. To change the mobile number, please go to the personal center
user.organ_admin_user.delete_not_allow=The organization administrator does not allow deletion

dept.name.duplicate=The department name already exists
dept.parent.not_exists=The parent department does not exist
dept.not_found=The department does not exist
dept.exists_children=There are sub-departments, deletion is not allowed
dept.parent.error=Cannot set the department itself as its parent
dept.exists_user=There are employees in the department, deletion is not allowed
dept.parent_is_child=Cannot set a sub-department as the parent
dept.user_oper_not_allow=Operation on the user's own department is not allowed
dept.parent_user_oper_not_allow=Operation on the user's own department and its parent departments is not allowed
dept.disable=The department ({0}) has been disabled
dept.not_allowed_login=The department ({0}) has been disabled, login is not allowed
dept.parent_disable=The parent department ({0}) has been disabled, please enable it first or choose another parent department

dict_type.not_exists=The dictionary type does not exist
dict_type.not_enable=The dictionary type is disabled, adding or editing is not allowed
dict_type.name.duplicate=The dictionary type name already exists
dict_type.type.duplicate=The dictionary type already exists
dict_type.has_children=Cannot delete, the dictionary type still has dictionary data

dict_data.not_exists=The dictionary data does not exist
dict_data.not_enable=The dictionary data ({0}) is not enabled and cannot be selected
dict_data.value.duplicate=The dictionary data value already exists
dict_data.trans_error=Dictionary data label translation error, error_code :{0}

notice.not_found=The notification announcement does not exist
notice.name_unique_error=The announcement title already exists, please edit and try again
notice.buildin.modify_permission_error=Insufficient permissions to modify built-in announcement

sms.channel.not_exists=The SMS channel does not exist

sms.template.not_exists=SMS template does not exist
sms.template.code.duplicate=An SMS template with code [{0}] already exists
sms.template.api_error=SMS API template call failed, reason: {0}
sms.template.api.audit_checking=SMS API template cannot be used, reason: under review
sms.template.api.audit_fail=SMS API template cannot be used, reason: review failed, {0}
sms.template.api.not_found=SMS API template cannot be used, reason: template not found

sms.send.mobile.not_exists=Mobile number does not exist
sms.send.mobile.template_param_miss=SMS template parameter ({0}) is missing
sms.send.template.not_exists=SMS template does not exist

sms.code.not_found=Verification code does not exist, please click to obtain
sms.code.not_correct=Incorrect verification code
sms.code.send_too_fast=SMS sending is too frequent
sms.code.is_valid=The verification code is still valid, please do not resend within 5 minutes

organ.not_exists=Organization does not exist
organ.disable=Organization [{0}] has been disabled
organ.expire=Organization [{0}] has expired
organ.can_not_update_system=System organization cannot be modified or deleted
organ.name.duplicate=Organization with name [{0}] already exists
organ.website.duplicate=Organization with domain [{0}] already exists
organ.data_code.not_exists=Organization has not configured a data source identifier
organ.already_exists=The newly added organization has already been authorized device quota, cannot add again
organ.user_oper.not_allow=Not allowed to operate on the user's own organization
organ.contact_mobile.duplicate=Organization with mobile number [{0}] already exists
organ.expiretime.product_id_lack=Please select the product to purchase

notify.template.not.exists=Notification template does not exist
notify.template.code.duplicate=A notification template with code [{}] already exists
notify.send.template.param.miss=Notification template parameter ({}) is missing

machine.not.exists=Machine does not exist
machine.template.not.exists=Machine template does not exist
default.template.count=Default template count error
the.current.machine.is.already.in.use=The current machine is in use and cannot be deleted
machine.error=The current machine is incorrect, please select a machine again
the.current.brand.of.the.machine.exists=The brand already exists in the templates configured for the current machine, please enter a different brand name
the.model.of.the.machine.does.not.exist=The template for this machine model does not exist, please configure it
the.current.brand=Brand ID error, or brand does not exist
machine.num.error=The number of machines of this type in the organization has reached the maximum limit and cannot be created
machine.name.error=The machine name already exists, please enter another machine name
machinetemplate.name.error=The machine template name already exists, please enter another machine template name
labelingmachine.related.data.error=The labeling machine data associated with the current machine is incorrect, please reconfigure it or select another template
drillmachine.related.data.error=The drilling machine data associated with the current machine is incorrect, please reconfigure it or select another template
machine.data.error=The organization has not authorized machines yet, please contact the organization administrator or customer service for authorization
machine.num.data.error=The authorized number of machines cannot exceed 127
machine.used.already=The current machine is used in a processing solution group and cannot be deleted

label.template.not.exists=Label template does not exist
label.not.exists=Label does not exist
default.label.not.exists=The default label template for this type does not exist
machine.use.label=The current label is used by machines and cannot be deleted
default.not.deleted=The default label template cannot be deleted
label.is.use.error=The label is used in packaging settings by users and cannot be deleted
data.source.not.exists=System data source does not exist

order.parts.import.list.is.empty=The imported production part list cannot be empty
remain.plate.status.used=The remaining plate is in use and cannot be modified
remain.plate.status.no.used=The remaining plate is not in use
remain.plate.usr.type=The remaining plate usage type is non-verifiable
remain.plate.id.not.exists=No remaining plate selected, please select a remaining plate
remain.plate.count.max=The maximum number of remaining plates that can be added at one time is 999

system.config.not_exists=System configuration does not exist
system.config.type_not_support=Unsupported system configuration type
system.config.custom_plate_no.rule_save_format_error=Custom plate number configuration: invalid save format, please check the rule
system.config.custom_plate_no.rule_reset_not_support=Custom plate number configuration: this rule does not support manual reset/clear
system.config.custom_plate_no.rule_item_not_found=Custom plate number configuration: rule item not found for manual reset/clear
system.config.custom_plate_no.rule_order_reset_failed=Custom plate number configuration: failed to reset/clear order sequence, please contact support
custom.plate_no.rule.code_empty=Rule code cannot be empty
custom.plate_no.rule.code_not_match=Rule code [{0}] is invalid, please check the configuration rule
custom.plate_no.rule.date_format_error=Date format [{0}] is invalid, please check the configuration rule
custom.plate_no.rule.custom_value_empty=Custom character value cannot be empty, please check the configuration rule
custom.plate_no.rule.reset_mode_error=Reset/Clear mode for rule [{0}] is invalid, please check the configuration rule
custom.plate_no.rule.int_type_empty=The field \"{1}\" under \"{0}\" cannot be empty, please check the configuration rule
custom.plate_no.rule.int_type_convert_error=Value conversion error for numeric parameter {1}:{2} under \"{0}\", please check the configuration rule
custom.plate_no.rule.bool_type_convert_error=Value conversion error for boolean parameter {1}:{2} under \"{0}\", please check the configuration rule
process.scheme.data_empty=Field \"{0}\" in the process scheme group is empty and cannot be saved, please configure it
process.scheme.config.data_empty=Field \"{0}\" in the process scheme group is empty, please check the configuration
process.scheme.config.field_error=The current scheme group configuration is invalid, please reconfigure
process.scheme.config.in_use=The current scheme group is in use in scheduling and cannot be deleted
process.scheme.config.machine_label_empty=Machine label data for the scheme group's parser is empty, please check the machine label configuration
config.data_error=Current system configuration data is incorrect, please try sorting again
process.config.used_already=The current line configuration is already used in a process scheme group and cannot be deleted
optimization.config.used_already=The current optimization configuration is already used in a process scheme group and cannot be deleted
sealedge.config.item_empty=There are empty fields in configuration #{0}, please fill in the data
sealedge.config.max_value_error=In configuration #{0}, the value of {1} must be greater than or equal to {2}, please modify
sealedge.config.data_error=The current edge band configuration is incorrect, please re-check before adding
sealedge.config.name_exists=Configuration name already exists, please rename
sealedge.config.decimal_places_max_three=In configuration #{0}, decimal places must not exceed 3, please modify
sealedge.config.min_value_gt_zero=In configuration #{0}, minimum width {1} must be greater than 0, please modify
sealedge.config.max_value_gt_zero=In configuration #{0}, maximum width {1} must be greater than 0, please modify
sealedge.config.value_range_error=In configuration #{0}, maximum width must be greater than minimum width, please modify

token.app_type.exist=The current application already has a token configuration and cannot add a new one
token.config.not_exists=The token configuration for the current application does not exist
token.time.is_expires=The current token has expired. Please reconfigure or extend the validity period
token.app_type.no_update=The application name cannot be modified
token.data.is_null=The token configuration is empty and does not need to be deleted
token.expires_time.is_null=No valid time was selected. Please select one before adding
token.expires_time.data_error=The selected validity time has expired. Please extend the validity time
token.insert.data_error=Failed to add token. Please try again

invoice.no_exist=The invoice record is incorrect. Please check again.
invoicing.reject_reason=Please provide the reason for rejecting the invoice.
purchase_record.no_exist=The purchase record corresponding to the invoice is invalid. Please return it to the organization and reapply.
invoice.is_fail=The invoice has already been issued and cannot be issued again.
products.is_exist=Product [{0}] already exists. Please modify the product name and try again.
products.no_delete=The product is currently listed and cannot be deleted. Please delist it first.
products.no_update=The product is currently listed and cannot be modified.
products.detail.no_update=The product corresponding to the pricing rule is listed and cannot be modified.
advertisement.time_error=Invalid delivery time. The end time must be later than the start time.
advertisement.name.is_exist=The advertisement name already exists. Please rename it.
advertisement.no_delete=The advertisement has been published and cannot be deleted. End publication first.
product_promotion.active.name.is_exist=The promotion name already exists. Please modify it.
product_promotion.purchaseduration.is_exist=A promotion with purchase duration {0}{1} already exists under the selected product. Please modify.
invoice_title.not_exists=The invoice title does not exist. Please create it first.
org_invoice.purchase_record.update_num.not_match=Some selected purchase records may have already been invoiced. Please reselect and submit.
org_invoice.agree_file.null=The invoice confirmation file cannot be empty. Please upload it.
invoice_title.org.exists=The organization already has an invoice title. Please refresh and edit it.
invoice_title.taxpayerid.exists=The taxpayer identification number already exists. Please check.
products.not_nolist=The product is not listed.
org_product.purchase.lock=There are ongoing product purchase operations under the organization. Please try again later.
invoice_title.enterprise.taxnumber.empty=The enterprise tax number cannot be empty.
invoice.amount.zero=The invoiceable amount is 0. Please check the purchase record.
invoice.apply.uninvoiceable.exist=There are records that cannot be invoiced. Please refresh and select again.

pay.channel_not_support=Unsupported payment channel, please use another one
pay.order_not_exist=Payment order does not exist, order number [{0}], please initiate payment again
pay.order_channel_query_not_exist=If you have confirmed the QR code payment, please refresh the page later. The payment platform may experience delays
pay.order_notify_data_parse_error=Failed to parse payment notification data
pay.order_status_is_not_waiting=The payment order is not in a waiting state
pay.order_submit_channel_error=Failed to initiate channel payment, please contact customer service
pay.notify_passback_tradetype_not_support_error=Unsupported payment callback tradeType:[{0}], please check the payment channel

product.no_exist=The product does not exist
product.detail_no_exist=The product's pricing rule does not exist
product.detail_duration_exist=A pricing rule for product duration [{0}/{1}] already exists, please modify and try again
product.promotion_no_exist=The promotion does not exist
product.detail_duration_unit_not_support=Unsupported duration unit, please check the pricing rule's duration unit
org.product_purchase_wait_pay_error=There is a pending payment record for the current product under the organization. Please make the payment or initiate the software purchase again in {0} minutes
product.price_null_error=Suggested product price is empty, please contact customer service
org.product_purchase_not_exist_error=The organization's purchase record does not exist, please check the data
org.product_purchase_exist_error=The order record of organization [{0}] already exists. Please do not place duplicate orders
org.product_purchase_delay_record.paid.error=The first purchase record of organization [{0}] [{1}] has a deferred payment record. Please do not delete it

advertisement.no_exist=The advertisement does not exist
advertisement.status_endtime_expired=The advertisement's end time has expired. Please republish or edit the delivery time
advertisement.image_empty_error=The advertisement image file is empty, please upload again
advertisement.image_upload_fail=Failed to upload the advertisement image, please try again later
advertisement.update_status_error=The advertisement has already been published. Please end the publication before editing

parser.no_exist=The parser does not exist, please reselect
parser.template_no_exist=The parser template does not exist, please reselect
product_purchase.no_exist=The purchase record does not exist, please check
product_purchase.endtime_before_delaytime_error=The product subscription validity period {0} has not exceeded the current date, please adjust the subscription duration
product.delay_duration_unit_not_support=Units of extension duration for unsupported products

assembly.config.import.order_components.query.error=Assembly settings import failed: Order component query failed, please check production order status
assembly.config.not_exist=Assembly setting does not exist
assembly.config.do_config_exist=Assembly setting [{0}] already exists
assembly.config.new_config_name_exist=The new assembly setting name [{0}] already exists. Please query again and try again
assembly.config.save_topname_exist=The top-level node name [{0}] already exists in the current configuration. Please modify it and save it again
assembly.config.no_need_new_config=There is no configured duplicate setting named [{0}]. Please query again and perform the operation again